Subject: Re: Projet ALLEGRO

From: "[email-masked]" <[email-masked]>
Date: Fri, 7 Oct 2011 15:59:25 +0200

Felicitations !
On fera en sorte de coder une fonction en son honneur :) 

~Mike

On Oct 7, 2011, at 3:56 PM, Pierre Perol-Schneider wrote:

> Cher Mike, Chers (eres) LilyPondeurs (euses),
> 
> J'ai répondu positivement et avec beaucoup d’intérêts à ce projet.
> Entre-temps, une petite surprise de 3 kg et 49,5 cm est arrivée à l'impromptu...
> Elle s'appelle Sarah et je crains bien qu'elle risque de m'empêcher de venir.
> Avec beaucoup de regrets je dois donc décliner l'invitation.
> Amusez-vous bien
> 
> Pierre
> 
> Le 26 septembre 2011 16:20, [email-masked] <[email-masked]> a écrit :
> Lilypondeuses, lilypondeurs,
> 
> Pour ceux qui peuvent se déplacer en région parisienne et qui sont disponibles le WE du 15 octobre, Bertrand Bordage et moi comptons convenir le premier congrès Afin de Lisser Lilypond Et Gérer son Rendu Optique (ALLEGRO).  L'idée est d'entamer un projet de codage qui ne serait faisable qu'en groupe.  Pour son édition inaugurale, on va travailler sur les markups pour qu'ils puissent mieux communiquer avec les parties musicales de LilyPond et pour que leurs options de mise en page soient plus souples.  Il faudra qu'on travaille sur des fichiers C++, Scheme et (bien sûr) LilyPond pour achever le projet, et ce sera certainement plus facile à accomplir à plusieurs.
> 
> Or, je sais que vous vous dites "bon, j'aime bien utiliser LilyPond, mais je ne m'y connais pas en informatique et donc je préfère regarder depuis les tribunes."  Mais justement, ce serait l'occasion d'acquérir (ou de réviser) des connaissances informatiques (il n'en faut pas beaucoup pour contribuer au développement de LilyPond) et de pouvoir utiliser ces compétences pour améliorer cet outil magnifique.
> 
> Dites-moi si vous voulez y participer, et à bientôt j'espère !
> 
> ~Mike
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>

---

From: Éditions IN NOMINE<[email-masked]>
Date: Fri, 07 Oct 2011 16:07:09 +0200

À peine arrivée que le père est à ses ordres... ça promet !  :-P

Bienvenue à Sarah et beaucoup de joie à ses parents !

JMarc

[email-masked] a écrit :
>> Le 26 septembre 2011 16:20, [email-masked] 
>> <mailto:[email-masked]> <[email-masked] 
>> <mailto:[email-masked]>> a écrit :
>>
>>     Pour ceux qui peuvent se déplacer en région parisienne et qui
>>     sont disponibles le WE du 15 octobre, Bertrand Bordage et moi
>>     comptons convenir le premier congrès Afin de Lisser Lilypond Et
>>     Gérer son Rendu Optique (ALLEGRO).  L'idée est d'entamer un
>>     projet de codage qui ne serait faisable qu'en groupe.  Pour son
>>     édition inaugurale, on va travailler sur les markups pour qu'ils
>>     puissent mieux communiquer avec les parties musicales de LilyPond
>>     et pour que leurs options de mise en page soient plus souples.
>>      Il faudra qu'on travaille sur des fichiers C++, Scheme et (bien
>>     sûr) LilyPond pour achever le projet, et ce sera certainement
>>     plus facile à accomplir à plusieurs.
>>
>>     Or, je sais que vous vous dites "bon, j'aime bien utiliser
>>     LilyPond, mais je ne m'y connais pas en informatique et donc je
>>     préfère regarder depuis les tribunes."  Mais justement, ce serait
>>     l'occasion d'acquérir (ou de réviser) des connaissances
>>     informatiques (il n'en faut pas beaucoup pour contribuer au
>>     développement de LilyPond) et de pouvoir utiliser ces compétences
>>     pour améliorer cet outil magnifique.
>>
>>     [email-masked] <mailto:[email-masked]>
> ------------------------------------------------------------------------
>

---

From: Pierre Perol-Schneider <[email-masked]>
Date: Fri, 7 Oct 2011 15:56:04 +0200

J'ai répondu positivement et avec beaucoup d’intérêts à ce projet.
Entre-temps, une petite surprise de 3 kg et 49,5 cm est arrivée à
l'impromptu...
Elle s'appelle Sarah et je crains bien qu'elle risque de m'empêcher de
venir.
Avec beaucoup de regrets je dois donc décliner l'invitation.
Amusez-vous bien

Pierre

Le 26 septembre 2011 16:20, [email-masked] <[email-masked]> a
écrit :

> Pour ceux qui peuvent se déplacer en région parisienne et qui sont
> disponibles le WE du 15 octobre, Bertrand Bordage et moi comptons convenir
> le premier congrès Afin de Lisser Lilypond Et Gérer son Rendu Optique
> (ALLEGRO).  L'idée est d'entamer un projet de codage qui ne serait faisable
> qu'en groupe.  Pour son édition inaugurale, on va travailler sur les markups
> pour qu'ils puissent mieux communiquer avec les parties musicales de
> LilyPond et pour que leurs options de mise en page soient plus souples.  Il
> faudra qu'on travaille sur des fichiers C++, Scheme et (bien sûr) LilyPond
> pour achever le projet, et ce sera certainement plus facile à accomplir à
> plusieurs.
>
> Or, je sais que vous vous dites "bon, j'aime bien utiliser LilyPond, mais
> je ne m'y connais pas en informatique et donc je préfère regarder depuis les
> tribunes."  Mais justement, ce serait l'occasion d'acquérir (ou de réviser)
> des connaissances informatiques (il n'en faut pas beaucoup pour contribuer
> au développement de LilyPond) et de pouvoir utiliser ces compétences pour
> améliorer cet outil magnifique.
>

---

From: Valentin Villenave <[email-masked]>
Date: Tue, 11 Oct 2011 12:59:37 +0200

2011/9/26 [email-masked] <[email-masked]>:
> le premier congrès Afin de Lisser Lilypond Et Gérer son Rendu Optique (ALLEGRO)

[un peu en retard]

Très bonne idée, bon courage à tout le monde. J'ai été un peu éloigné
du développement de LilyPond ces derniers temps (même si LilyPond
reste mon outil de travail quotidien), mais je reste joignable si vous
avez besoin d'un coup de main.

À bientôt j'espère !

Valentin.

---

From: Bertrand Bordage <[email-masked]>
Date: Tue, 18 Oct 2011 16:47:32 +0200

Salut à tous,

Ce week-end LilyPond s'est très agréablement passé !  Nous fûmes sept
acharnées grenouilles à échanger nos connaissances pour construire l'avenir
de notre chère mare :

Arthur Reutenauer
Bertrand Bordage
Cécile Hauchemaille
John Mandereau
Loïc Chahine
Mike Solomon
Nicolas Sceaux (n'est pas venu ce WE, mais a longuement discuté avec Mike
pendant la semaine)

L'ambiance était parfaitement détendue et la pédagogie était au rendez-vous
(c'est Mike qui l'a dit...).  J'ai de mon mieux fait la grenouille-prof à
mes deux grenouilles-élèves, Loïc et Cécile.

Loïc pourra témoigner des bienfaits que ces deux jours ont eu sur ses
connaissances LilyPondesques.  Il a créé une série de
fonctions malléables pour écrire l'ornementation et les doigtés de viole
chez Marin Marais.  Il les publiera sans doute dans les jours qui viennent.
 Il a ainsi pu s'initier aux « bidouilles » les plus avancées de Lilypond.

Cécile a découvert MetaFont, le programme qui permet de faire la fonte de
caractères.  Elle a ainsi ajouté un point dans le style Petrucci à la police
de LilyPond.  Elle a également corrigé des petites erreurs de la partie C++
de LilyPond.

Parallèlement à mes petits cours donnés sur le nénuphar de droite, Arthur,
John, Mike (et indirectement Nicolas) croassaient à propos de la gestion du
texte.  Nous leur répondions parfois, si bien que tout le monde a pu faire
avancer le schmilblik.

Nous avons commencé par faire nos doléances ; le texte a toujours été
médiocrement géré par LilyPond et l'utilisation de LaTeX avec lilypond-book
n'a jamais été pratique.
Nous avons évoqué les différentes contraintes que devra remplir la mise en
page du texte.  Le plus urgent besoin est de réunir \markuplines et \markup.
 Cette séparation a toujours été contraignante.
Mike a alors commencé à travailler sur une solution traitant les markups de
manière récursive, de sorte que LilyPond comprenne que chaque markup est en
fait un groupe de markup plutôt que de considérer que c'est un bloc figé et
incassable comme c'est le cas aujourd'hui.

Le travail sur ce projet continue par Internet, mais nous avons prévu de
nous revoir bientôt pour une autre réunion de ce type.
Cela se déroulera un week-end.  Si vous êtes intéressés, veuillez répondre
aux sondages suivants:
Le sondage de date (chaque samedi sélectionné équivaut au WE complet) :
http://www.doodle.com/2kxsnexghxx4h9ik
Le sondage de lieu : http://www.doodle.com/n8buztfihu5pkeuz

À plus !
Bertrand

---

From: Éditions IN NOMINE<[email-masked]>
Date: Thu, 20 Oct 2011 10:43:16 +0200

Bonjour à toute la mare !

Je ne sais pas si les grenouilles salivent, mais on va dire que tout 
cela me fait baver abondamment ! Bravo pour cette initiative en laquelle 
je trouve de bien belles promesses !

Les sujets abordés sont très intéressants, et me donnent encore plus 
envie de participer ! Donc en route pour le sondage !

Amitiés lilypondesques et autres ! Beuhouap !

JMarc

Bertrand Bordage a écrit :
> acharnées grenouilles à échanger nos connaissances pour construire 
> l'avenir de notre chère mare :
>
> Arthur Reutenauer
> Bertrand Bordage
> Cécile Hauchemaille
> John Mandereau
> Loïc Chahine
> Mike Solomon
> Nicolas Sceaux (n'est pas venu ce WE, mais a longuement discuté avec 
> Mike pendant la semaine)
>
>
> L'ambiance était parfaitement détendue et la pédagogie était au 
> rendez-vous (c'est Mike qui l'a dit...).  J'ai de mon mieux fait la 
> grenouille-prof à mes deux grenouilles-élèves, Loïc et Cécile.
>
> fonctions malléables pour écrire l'ornementation et les doigtés de 
> viole chez Marin Marais.  Il les publiera sans doute dans les jours 
> qui viennent.  Il a ainsi pu s'initier aux « bidouilles » les plus 
> avancées de Lilypond.
>
> Cécile a découvert MetaFont, le programme qui permet de faire la fonte 
> de caractères.  Elle a ainsi ajouté un point dans le style Petrucci à 
> la police de LilyPond.  Elle a également corrigé des petites erreurs 
> de la partie C++ de LilyPond.
>
>
> Parallèlement à mes petits cours donnés sur le nénuphar de droite, 
> Arthur, John, Mike (et indirectement Nicolas) croassaient à propos de 
> la gestion du texte.  Nous leur répondions parfois, si bien que tout 
> le monde a pu faire avancer le schmilblik.
>
> médiocrement géré par LilyPond et l'utilisation de LaTeX avec 
> lilypond-book n'a jamais été pratique.
> Nous avons évoqué les différentes contraintes que devra remplir la 
> mise en page du texte.  Le plus urgent besoin est de réunir 
> \markuplines et \markup.  Cette séparation a toujours été contraignante.
> Mike a alors commencé à travailler sur une solution traitant les 
> markups de manière récursive, de sorte que LilyPond comprenne que 
> chaque markup est en fait un groupe de markup plutôt que de considérer 
> que c'est un bloc figé et incassable comme c'est le cas aujourd'hui.
>
>
>
> Le travail sur ce projet continue par Internet, mais nous avons prévu 
> de nous revoir bientôt pour une autre réunion de ce type.
> Cela se déroulera un week-end.  Si vous êtes intéressés, veuillez 
> répondre aux sondages suivants:
> Le sondage de date (chaque samedi sélectionné équivaut au WE complet) 
> : http://www.doodle.com/2kxsnexghxx4h9ik